import Qt 4.7

// dummydata directory is used by qmlviewer in case
// properties are not provided by C++ code. It's useful
// for pure-QML testing.
// The downside is that the C++ properties have to be wrapped
// into a QObject, so for example in this case it's not possible
// to register the color directly as in:
//   context->setContextProperty("rectColor", QColor(Qt::blue));
//
// Instead, have to create a QObject-derived class, which has the
// property and register that:
//   context->setContextProperty("cppProperties", new PropertyWrapper(this));
// and then access the properties at QML side with:
//   cppProperties.color
//
QtObject {
    property color color: "lightGray"
}
