import Qt 4.7

// Basic button with two states
Rectangle {
    id: rootRect
    signal clicked
    property alias text: label.text
    anchors.top: parent.top
    anchors.bottom: parent.bottom
    anchors.margins: 3
    border.width: 1
    radius: 3
    width: label.paintedWidth + 20
    Text {
        id: label
        anchors.fill: parent
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
    }
    MouseArea {
        id: clickArea
        anchors.fill: parent
        onClicked: rootRect.clicked();
    }

    states: State {
        when: clickArea.pressed
        PropertyChanges {
            target: rootRect
            color: "lightGray"
        }
    }
}
