import Qt 4.7
import QtWebKit 1.0

Item {
    height: 30
    property WebView webView
    property alias url: urlInput.text

    // Adds "http://" to beginning if missing
    function loadUrl() {
        var txt = urlInput.text;
        if (txt.length < 7 || (txt.substring(0,7) != "http://" && txt.substring(0,8) != "https://")) {
            txt = "http://" + txt;
        }
        webView.url = txt;
    }

    // URL label
    Text {
        id: jsLabel
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        width: paintedWidth + 10
        anchors.leftMargin: 5
        verticalAlignment: Text.AlignVCenter
        text: "URL:"
    }

    // URL input box is hooked to url property alias of root rectangle
    DemoInput {
        id: urlInput
        anchors.left: jsLabel.right
        anchors.right: buttonRow.left
        onAccepted: loadUrl();
    }

    // Button row, Go, Back, Forward
    Row {
        id: buttonRow
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.right: parent.right
        anchors.rightMargin: 3
        spacing: 3
        width: childrenRect.width

        // Submits the javascript from input into web browser
        DemoButton {
            text: "Go"
            onClicked: loadUrl();
        }

        // Navigation buttons are hooked to WebView actions
        DemoButton {
            text: "B"
            onClicked: webView.back.trigger();
        }

        DemoButton {
            text: "F"
            onClicked: webView.forward.trigger();
        }
    }

}

