import Qt 4.7
import QtWebKit 1.0

Item {
    height: 30
    property WebView webView

    // Runs the script from the input box in web context
    function runScript() {
        console.log("Evaluate in web context: " + jsInput.text);
        webView.evaluateJavaScript(jsInput.text);
    }

    // Label for script bar
    Text {
        id: jsLabel
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        width: paintedWidth + 10
        anchors.leftMargin: 5
        verticalAlignment: Text.AlignVCenter
        text: "Enter JavaScript:"
    }

    // JavaScript input field, wrapped into a rectangle
    DemoInput {
        id: jsInput
        anchors.left: jsLabel.right
        anchors.right: buttonRow.left
        text: '$("p.neat").addClass("ohmy").show("slow");'
        onAccepted: runScript();
    }

    // Row of buttons, submit + some predefined scripts
    Row {
        id: buttonRow
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.right: parent.right
        anchors.rightMargin: 3
        spacing: 3
        width: childrenRect.width

        // Submits the javascript from input into web browser
        DemoButton {
            text: "Submit"
            onClicked: runScript();
        }

        // Few buttons with pre-defined JavaScript snips to run on the web page
        // jQuery front page example
        DemoButton {
            text: "1"
            onClicked: jsInput.text = '$("p.neat").addClass("ohmy").show("slow");'
        }

        // Calls the QML object that has been exported into WebView
        DemoButton {
            text: "2"
            onClicked: jsInput.text = "window.exportedFromQml.call();"
        }

        // onAlert hook test
        DemoButton {
            text: "3"
            onClicked: jsInput.text = 'alert("Alert message here...");'
        }
    }

}

