import Qt 4.7
import QtWebKit 1.0

Rectangle {
    id: rootRect
    width: 800
    height: 480

    // Navigation bar, URL + some buttons
    NaviBar {
        id: naviBar
        webView: webView
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
    }

    // WebView is wrapped into a Flickable container to enable scrolling
    Flickable {
        id: flick
        anchors.top: naviBar.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: scriptBar.top

        // The Flickable total area should cover the entire web view
        contentHeight: webView.height
        contentWidth: webView.width

        // Clip prevents web page to be drawn outside Flickable
        clip: true

        WebView {
            id: webView

            // Use these two properties to tell the view to try
            // to scale the contents according to displayed area
            preferredWidth: rootRect.width
            preferredHeight: rootRect.height

            // The web page to load
            url: "http://www.jquery.com"

            // Hooks a QML QtObject into the web page window
            javaScriptWindowObjects: QtObject {
                WebView.windowObjectName: "exportedFromQml"
                function call() {
                    console.log("QML function called from web page");
                }
            }

            // Some basic hooks
            onAlert: console.log("Got page alert: " + message);

            // Update the URL into the navigation bar
            onLoadFinished: naviBar.url = url
            onLoadFailed: naviBar.url = "FAILED!!!"
        }
    }

    // ScriptBar can be used to input JavaScript code into the web browser
    ScriptBar {
        id: scriptBar
        webView: webView
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
    }

}
