import Qt 4.7
import QmlLocation 1.0
import QtWebKit 1.0

Rectangle {

    width: 780
    height: 410

    color: "lightgray"

    LocationNotifier {
        id: notifier
    }

    Rectangle {
        id: locationRect
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.right: parent.right
        height: latitudeText.paintedHeight + 10
        border.width: 1
        Text {
            id: latitudeText
            anchors.left: parent.left
            anchors.top: parent.top
            anchors.bottom: parent.bottom
            width: parent.width / 2
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            text: "Latitude: " + notifier.latitude
        }

        Text {
            id: longitudeText
            anchors.right: parent.right
            anchors.top: parent.top
            anchors.bottom: parent.bottom
            anchors.left: latitudeText.right
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            text: "Longitude: " + notifier.longitude
        }
    }

    WebView {
        anchors.top: locationRect.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.topMargin: 1
        url: "http://maps.google.com/maps/api/staticmap?center="
        + notifier.latitude + "," + notifier.longitude + "&zoom=15&size="
        + width + "x" + height + "&sensor=true"
    }
}
